Class UmlStateAction

Declaration :

- C++ : class UmlStateAction : public UmlBaseStateAction, public UmlStateItem
- Java : class UmlStateAction extends UmlBaseStateAction implements UmlStateItem

Artifact : UmlStateAction

Operation UmlStateAction

Declaration :

- Uml : + UmlStateAction(in id : item_id) :
- C++ : public: UmlStateAction(void * id) : UmlBaseStateAction(id, "")
- Java : public UmlStateAction(long id)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , cppExpression , create , defined_ , deleteIt , description , expression , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaExpression , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppExpression , set_Description , set_Expression , set_isMarked , set_JavaExpression , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload